use strict; use vars qw($page $ext $ext_plugin $title $header $body $pages_dir);
$title='Site Map';
# $title must be set on the second line - things will break otherwise!!!
$header=$title;

use strict;
use vars qw($page $ext $ext_plugin $title $header $body $pages_dir);
use File::Basename;

# This file is part of RAM-CMS

# NOTE: in order for this to correctly work, $title must be set on the second line
# of all your page files - like it is in here.
# normal static pages must have title set on the very first line anyway, so this 
# shouldn't be a problem.

# NOTE: this script reads in every single page you have in RAM-CMS
# if you have lots of pages (more than a hundred) this may perform poorly.

# This file is safe to rename.

# site-map.pl version 0.0.1
# site map generator
# First Shipped with RAM-CMS 0.3.0

# this is a good example of how dynamic plugin pages work.
# this is pure perl - you can do anything here as long as it 
# doesn't go to STDOUT or STDERR - don't print anything except HTTP headers

# an example of something safe to print from in here
# do not send an extra \r\n to finish off the HTTP headers or you'll be sorry!
# print "X-Powered-By: Perl\r\n";

# we use BBCode since it makes linking easier - if you disable BBCode this page will break.

$body='
[p]This is a list of all the pages that compromise this site - the site map, if you will.
[/p]
[ul]
';

# generate the directory list
# TODO: make this cross platform
# This requires the Unix/Linux/BSD "ls" command
my @DB=`ls -1 $pages_dir`;

foreach(@DB)
{
	# get rid of any excess newlines.
	my $item=str_replace("\n",'',$_);
	# grab the file extension of $item
	my $item_ext=substr($item,index($item,'.'),length($item));
	# use the file extension to find the name of $item without an extension
	my $item_noext=str_replace($item_ext,'',$item);
	
	# we don't use $item_ext after here, so let's undefine it
	undef($item_ext);
	
	# don't include this page in the site map listing
	# don't include the 404 not found page in the site map listing either
	unless(($page eq $item_noext) or ($item_noext eq '404'))
	{
		# grab the first line from the file
		# the first line hold's the page title, and that's what we want to 
		# make the site-map look nice.
		open(FH,$pages_dir.$_);
		my $line=str_replace("\n",'',readline(FH)); # read the first line
		
		# if item is a dynamic page, extract the proper title from the 
		# second line, and then grab just the title from that line without 
		# simply dumping the code to define the title in the browser.
		if($item eq $item_noext.$ext_plugin)
		{
			$line=str_replace("\n",'',readline(FH)); # read the second line
		}
		
		close(FH);
		
		# if item is a dynamic page, extract the proper title
		# instead of just dumping the code to define the title
		if($item eq $item_noext.$ext_plugin)
		{
			# $line is valid perl source, replace $title with $line 
			# so that we don't override the title of this (site-map) page
			$line=str_replace('$title','$line',$line);
			# sets $line='Whatever the title is'
			eval($line);
		}
		
		# output this entry into the site map
		$body=$body.'[li][link='.$item_noext.']'.$line.'[/link][/li]';
	}
}

$body=$body.'[/ul]';

1;

